"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("@nestjs/testing");
const constants_1 = require("./constants");
const mailgun_service_1 = require("./mailgun.service");
describe('MailgunService', () => {
    let service;
    beforeEach(async () => {
        const module = await testing_1.Test.createTestingModule({
            providers: [
                mailgun_service_1.MailgunService,
                {
                    provide: constants_1.MAILGUN_CONFIGURATION,
                    useValue: {
                        username: 'Nuno',
                        key: process.env.MAILGUN_KEY,
                    },
                },
            ],
        }).compile();
        service = module.get(mailgun_service_1.MailgunService);
    });
    it('should be defined', () => {
        expect(service).toBeDefined();
    });
    it('Send email', () => expect(service.createEmail(process.env.MAILGUN_DOMAIN, {
        from: 'package@test.com',
        subject: 'TEST',
        to: 'wisekaa03@gmail.com',
        text: 'Test was successful',
    })).resolves.toBeDefined());
});
//# sourceMappingURL=mailgun.service.spec.js.map